# Uses of Interface
org.eclipse.birt.core.framework.IBundle

Packages that use IBundle
Package
Description
org.eclipse.birt.core.framework
Defines the platform interfaces that allow BIRT to be run in Eclipse and server environments.

## Uses of IBundle in org.eclipse.birt.core.framework

Methods in org.eclipse.birt.core.framework that return IBundle
Modifier and Type
Method
Description
`IBundle`
IPlatform.`getBundle(String symblicName)`
`static IBundle`
Platform.`getBundle(String symbolicName)`
Deprecated.
since BIRT 2.1
Methods in org.eclipse.birt.core.framework with parameters of type IBundle
Modifier and Type
Method
Description
`URL`
IPlatform.`find(IBundle bundle, IPlatformPath path)`
`static URL`
Platform.`find(IBundle bundle, IPlatformPath path)`
Deprecated.
since BIRT 2.1